# -*- coding: utf-8 -*-
# -*- frozen_string_literal: true -*-

require "<%= @scaffold.gem_path %>/version"
<% if @scaffold.plugin_namespace %>
  # <%= @scaffold.require_main %>

  class <%= @scaffold.main_namespace %>

  # <%= @scaffold.plugin_namespace %> main module.
  module <%= @scaffold.plugin_namespace %>
  end
end
<% else %>
# <%= @scaffold.gem_namespace %> main class.
class <%= @scaffold.gem_namespace %>
end
<% end %>
